Subject: Re: bug#7127: 23.2; M-x help throws an error

From: Aidan Kehoe <[email-masked]>
Date: Wed, 29 Sep 2010 08:17:22 +0100

Ar an t-ochtú lá is fiche de mí Méan Fómhair, scríobh Glenn Morris: 

 > Aidan Kehoe wrote:
 > 
 > > 1) emacs -Q
 > > 2) M-x help RET
 > > 3) Observe error giving following backtrace: 
 > >
 > > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
 > 
 > I cannot reproduce this.
 > 
 > > The issue seems to be make-help-screen in help-macro.el, which assumes
 > > that (documentation FNAME) gives non-nil, something not true for
 > > #'help.
 > 
 > (documentation #'help)
 > 
 > returns "Help command." for me in Emacs 23.2.

Good for you. (symbol-function 'help-for-help-internal) (h-f-h-i being what
help eventually resolves to) gives me a compiled function with a nil
documentation slot; help.elc has (defalias 'help-for-help-internal ...) with
a compiled function and what seems to be the correct lazy doc reference. The
DOC file seems correct, with an entry Fhelp-for-help-internal
Help command.

But (documentation #'custom-declare-variable-early) and (documentation
#'when) both give nil for me, and the same seems to be true for all the
dumped compiled functions with docstrings. I don’t know why that is, and I
don’t especially care to debug it right now, but this binary is what Cygwin
installed, I’m certain I’m not the only one affected.

 > > In GNU Emacs 23.2.1 (i686-pc-cygwin, GTK+ Version 2.18.6)
 > >  of 2010-05-08 on laptop

-- 
“Apart from the nine-banded armadillo, man is the only natural host of
Mycobacterium leprae, although it can be grown in the footpads of mice.”
  -- Kumar & Clark, Clinical Medicine, summarising improbable leprosy research